1374f32b38
- coreutils-i18n.patch: update gnulib mbchar+mbfile to the commit
used by coreutils-9.7:
https://git.sv.gnu.org/cgit/gnulib.git/commit/?id=41e7b7e0d
mainly to pick up these commits:
- c67c553e758 mbfile: Support pushback characters also right before EOF.
- 87ee7ef66ee mbfile: Allow 2 pushback characters.
OBS-URL: https://build.opensuse.org/request/show/1269756
OBS-URL: https://build.opensuse.org/package/show/Base:System/coreutils?expand=0&rev=374
19 lines
782 B
Diff
19 lines
782 B
Diff
---
|
|
tests/shuf/shuf-reservoir.sh | 3 +--
|
|
1 file changed, 1 insertion(+), 2 deletions(-)
|
|
|
|
Index: tests/shuf/shuf-reservoir.sh
|
|
===================================================================
|
|
--- tests/shuf/shuf-reservoir.sh.orig
|
|
+++ tests/shuf/shuf-reservoir.sh
|
|
@@ -37,8 +37,7 @@ run_shuf_n()
|
|
|
|
# Critical memory-related bugs will cause a segfault here
|
|
# (with varying numbers of input/output lines)
|
|
- seq "$INPUT_LINES" | valgrind --leak-check=$leaklevel --error-exitcode=1 \
|
|
- shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
|
|
+ seq "$INPUT_LINES" | shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
|
|
|
|
EXPECTED_LINES="$OUTPUT_LINES"
|
|
test "$INPUT_LINES" -lt "$OUTPUT_LINES" && EXPECTED_LINES="$INPUT_LINES"
|